/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.strategy.ExcelStrategy;
import com.tofly.pojo.maintain.Repairplanyear;

import java.util.List;


/**
 * 抢维修年度计划记录信息表
 *
 * @author admin
 * @date Tue Nov 02 00:00:00 CST 2021
 */
public interface RepairplanyearService extends IService<Repairplanyear> , ExcelStrategy {

    /**
     * 获取分页列表
     * @param page
     * @param dto
     * @return
     */
    Page<Repairplanyear> getInfoPage(Page page, Repairplanyear dto);

    Page<Repairplanyear> getAuditList(Page page, Repairplanyear dto);

    Page<Repairplanyear> getAllList(Page page, Repairplanyear dto);

    Page<Repairplanyear> getNeedAuditList(Page page, Repairplanyear dto);

    /**
     * 新增
     * @param dto
     */
    Repairplanyear savaYearPlanInfo(Repairplanyear dto) throws BusinessException;

    /**
     * 修改
     * @param parDto
     * @throws BusinessException
     */
    void updateYearPlanInfo(Repairplanyear parDto) throws BusinessException;

    /**
     * 删除
     * @param idList
     * @throws BusinessException
     */
    void deleteYearPlanInfo(List<Long> idList) throws BusinessException;
}
